package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class ModelPelayanan
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "ModelPelayanan_M")
public class ModelPelayananVO extends BaseMasterVO {
	@Caption(value="Kode Model Pelayanan")
	private Byte kdModelPelayanan;

	public void setKdModelPelayanan(Byte kdModelPelayanan) {
		this.kdModelPelayanan = kdModelPelayanan;
	}

	@Column(name = "KdModelPelayanan", nullable = false )
	public Byte getKdModelPelayanan(){
		return this.kdModelPelayanan;
	}

	@Caption(value="Model Pelayanan")
	private String modelPelayanan;

	public void setModelPelayanan(String modelPelayanan) {
		this.modelPelayanan = modelPelayanan;
	}

	@Column(name = "ModelPelayanan", nullable = false , length = 15)
	public String getModelPelayanan(){
		return this.modelPelayanan;
	}

	@Caption(value="QModel Pelayanan")
	private Byte qModelPelayanan;

	public void setqModelPelayanan(Byte qModelPelayanan) {
		this.qModelPelayanan = qModelPelayanan;
	}

	@Column(name = "QModelPelayanan", nullable = false )
	public Byte getqModelPelayanan(){
		return this.qModelPelayanan;
	}


}

